"use strict";
// https://tools.ietf.org/html/rfc6238
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var hotp_1 = __importDefault(require("./hotp"));
function default_1(parameters) {
    var secret = parameters.secret, step = parameters.step, time = parameters.time, initialTime = parameters.initialTime, codeDigits = parameters.codeDigits, hmacAlgorithm = parameters.hmacAlgorithm;
    if (!secret)
        throw new Error('no secret value');
    if (!step)
        step = 30;
    if (!time)
        time = new Date().getTime() / 1000;
    if (!initialTime)
        initialTime = 0;
    if (!hmacAlgorithm)
        hmacAlgorithm = 'sha512';
    var movingFactor = Math.floor((time - initialTime) / step);
    return hotp_1.default({
        secret: secret,
        movingFactor: movingFactor,
        codeDigits: codeDigits,
        hmacAlgorithm: hmacAlgorithm,
    });
}
exports.default = default_1;
//# sourceMappingURL=totp.js.map